package mhp.oee.po.gen;

import java.util.Date;

public class ActivityGroupActivityPO {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity_group_activity.HANDLE
     *
     * @mbggenerated
     */
    private String handle;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity_group_activity.ACTIVITY_GROUP_BO
     *
     * @mbggenerated
     */
    private String activityGroupBo;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity_group_activity.ACTIVITY_BO
     *
     * @mbggenerated
     */
    private String activityBo;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity_group_activity.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date createdDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity_group_activity.MODIFIED_USER
     *
     * @mbggenerated
     */
    private String modifiedUser;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity_group_activity.HANDLE
     *
     * @return the value of activity_group_activity.HANDLE
     *
     * @mbggenerated
     */
    public String getHandle() {
        return handle;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity_group_activity.HANDLE
     *
     * @param handle the value for activity_group_activity.HANDLE
     *
     * @mbggenerated
     */
    public void setHandle(String handle) {
        this.handle = handle == null ? null : handle.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity_group_activity.ACTIVITY_GROUP_BO
     *
     * @return the value of activity_group_activity.ACTIVITY_GROUP_BO
     *
     * @mbggenerated
     */
    public String getActivityGroupBo() {
        return activityGroupBo;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity_group_activity.ACTIVITY_GROUP_BO
     *
     * @param activityGroupBo the value for activity_group_activity.ACTIVITY_GROUP_BO
     *
     * @mbggenerated
     */
    public void setActivityGroupBo(String activityGroupBo) {
        this.activityGroupBo = activityGroupBo == null ? null : activityGroupBo.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity_group_activity.ACTIVITY_BO
     *
     * @return the value of activity_group_activity.ACTIVITY_BO
     *
     * @mbggenerated
     */
    public String getActivityBo() {
        return activityBo;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity_group_activity.ACTIVITY_BO
     *
     * @param activityBo the value for activity_group_activity.ACTIVITY_BO
     *
     * @mbggenerated
     */
    public void setActivityBo(String activityBo) {
        this.activityBo = activityBo == null ? null : activityBo.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity_group_activity.CREATED_DATE_TIME
     *
     * @return the value of activity_group_activity.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getCreatedDateTime() {
        return createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity_group_activity.CREATED_DATE_TIME
     *
     * @param createdDateTime the value for activity_group_activity.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setCreatedDateTime(Date createdDateTime) {
        this.createdDateTime = createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity_group_activity.MODIFIED_USER
     *
     * @return the value of activity_group_activity.MODIFIED_USER
     *
     * @mbggenerated
     */
    public String getModifiedUser() {
        return modifiedUser;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity_group_activity.MODIFIED_USER
     *
     * @param modifiedUser the value for activity_group_activity.MODIFIED_USER
     *
     * @mbggenerated
     */
    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }
}